org.apache.calcite.avatica.proto

## Interface Common.SignatureOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  Common.Signature, Common.Signature.Builder

Enclosing class:
  Common

    public static interface Common.SignatureOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`Common.ColumnMetaData` `getColumns(int index)` `repeated .ColumnMetaData columns = 1;`
`int` `getColumnsCount()` `repeated .ColumnMetaData columns = 1;`
`List<Common.ColumnMetaData>` `getColumnsList()` `repeated .ColumnMetaData columns = 1;`
`Common.ColumnMetaDataOrBuilder` `getColumnsOrBuilder(int index)` `repeated .ColumnMetaData columns = 1;`
`List<? extends Common.ColumnMetaDataOrBuilder>` `getColumnsOrBuilderList()` `repeated .ColumnMetaData columns = 1;`
`Common.CursorFactory` `getCursorFactory()` `optional .CursorFactory cursor_factory = 4;`
`Common.CursorFactoryOrBuilder` `getCursorFactoryOrBuilder()` `optional .CursorFactory cursor_factory = 4;`
`Common.AvaticaParameter` `getParameters(int index)` `repeated .AvaticaParameter parameters = 3;`
`int` `getParametersCount()` `repeated .AvaticaParameter parameters = 3;`
`List<Common.AvaticaParameter>` `getParametersList()` `repeated .AvaticaParameter parameters = 3;`
`Common.AvaticaParameterOrBuilder` `getParametersOrBuilder(int index)` `repeated .AvaticaParameter parameters = 3;`
`List<? extends Common.AvaticaParameterOrBuilder>` `getParametersOrBuilderList()` `repeated .AvaticaParameter parameters = 3;`
`String` `getSql()` `optional string sql = 2;`
`com.google.protobuf.ByteString` `getSqlBytes()` `optional string sql = 2;`
`Common.StatementType` `getStatementType()` `optional .StatementType statementType = 5;`
`int` `getStatementTypeValue()` `optional .StatementType statementType = 5;`
`boolean` `hasCursorFactory()` `optional .CursorFactory cursor_factory = 4;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getColumnsList

    List<Common.ColumnMetaData> getColumnsList()

`repeated .ColumnMetaData columns = 1;`

#### getColumns

    Common.ColumnMetaData getColumns(int index)

`repeated .ColumnMetaData columns = 1;`

#### getColumnsCount

    int getColumnsCount()

`repeated .ColumnMetaData columns = 1;`

#### getColumnsOrBuilderList

    List<? extends Common.ColumnMetaDataOrBuilder> getColumnsOrBuilderList()

`repeated .ColumnMetaData columns = 1;`

#### getColumnsOrBuilder

    Common.ColumnMetaDataOrBuilder getColumnsOrBuilder(int index)

`repeated .ColumnMetaData columns = 1;`

#### getSql

    String getSql()

`optional string sql = 2;`

#### getSqlBytes

    com.google.protobuf.ByteString getSqlBytes()

`optional string sql = 2;`

#### getParametersList

    List<Common.AvaticaParameter> getParametersList()

`repeated .AvaticaParameter parameters = 3;`

#### getParameters

    Common.AvaticaParameter getParameters(int index)

`repeated .AvaticaParameter parameters = 3;`

#### getParametersCount

    int getParametersCount()

`repeated .AvaticaParameter parameters = 3;`

#### getParametersOrBuilderList

    List<? extends Common.AvaticaParameterOrBuilder> getParametersOrBuilderList()

`repeated .AvaticaParameter parameters = 3;`

#### getParametersOrBuilder

    Common.AvaticaParameterOrBuilder getParametersOrBuilder(int index)

`repeated .AvaticaParameter parameters = 3;`

#### hasCursorFactory

    boolean hasCursorFactory()

`optional .CursorFactory cursor_factory = 4;`

#### getCursorFactory

    Common.CursorFactory getCursorFactory()

`optional .CursorFactory cursor_factory = 4;`

#### getCursorFactoryOrBuilder

    Common.CursorFactoryOrBuilder getCursorFactoryOrBuilder()

`optional .CursorFactory cursor_factory = 4;`

#### getStatementTypeValue

    int getStatementTypeValue()

`optional .StatementType statementType = 5;`

#### getStatementType

    Common.StatementType getStatementType()

`optional .StatementType statementType = 5;`